package e

const (
	// 200 因为部分第三方接口不能返回错误头,因此在此定义部分错误
	ERR_FILE_SAVE = 200001
	// 400 系列
	ERR_BAD_REQUEST       = 400000
	ERR_INVALID_ARGS      = 400001
	ERR_API_RESPONSE      = 400002
	ERR_NO_DATA           = 400003
	ERR_MOBILE_NIL        = 400004
	ERR_MOBILE_MATH       = 400005
	ERR_FILE_EXT          = 400006
	ERR_FILE_MAX_SIZE     = 400007
	ERR_SIGN              = 400008
	ERR_PASSWORD_MATH     = 400009
	ERR_PROVIDER_RESPONSE = 400010
	ERR_AES_ENCODE        = 400011
	ERR_ADMIN_API         = 400012
	ERR_QINIUAPI_RESPONSE = 400013
	ERR_URL_TURNCHAIN     = 400014

	// 401 未授权
	ERR_UNAUTHORIZED = 401000
	ERR_NOT_AUTH     = 401001
	ERR_SMS_AUTH     = 401002
	ERR_TOKEN_AUTH   = 401003
	ERR_TOKEN_FORMAT = 401004
	ERR_TOKEN_GEN    = 401005
	// 403 禁止
	ERR_FORBIDEN                                = 403000
	ERR_PLATFORM                                = 403001
	ERR_MOBILE_EXIST                            = 403002
	ERR_USER_NO_EXIST                           = 403003
	ERR_MOBILE_NO_EXIST                         = 403004
	ERR_FORBIDEN_VALID                          = 403005
	ERR_RELATE_ERR                              = 403006
	ERR_REPEAT_RELATE                           = 403007
	ERR_MOB_FORBIDEN                            = 403008
	ERR_MOB_SMS_NO_AVA                          = 403009
	ERR_USER_IS_REG                             = 403010
	ERR_MASTER_ID                               = 403011
	ERR_CASH_OUT_TIME                           = 403012
	ERR_CASH_OUT_FEE                            = 403013
	ERR_CASH_OUT_USER_NOT_FOUND                 = 403014
	ERR_CASH_OUT_FAIL                           = 403015
	ERR_CASH_OUT_TIMES                          = 403016
	ERR_CASH_OUT_MINI                           = 403017
	ERR_CASH_OUT_MUT                            = 403018
	ERR_CASH_OUT_NOT_DECIMAL                    = 403019
	ERR_CASH_OUT_NOT_DAY_AVA                    = 403020
	ERR_USER_LEVEL_PAY_CHECK_TASK_NO_DONE       = 403021
	ERR_USER_LEVEL_PAY_CHECK_NO_CROSS           = 403022
	ERR_USER_LEVEL_ORD_EXP                      = 403023
	ERR_IS_BIND_THIRDPARTY                      = 403024
	ERR_USER_LEVEL_UPDATE_CHECK_TASK_NO_DONE    = 403025
	ERR_USER_LEVEL_UPDATE_CHECK_NOT_FOUND_ORDER = 403026
	ERR_USER_LEVEL_UPDATE_REPEAT                = 403027
	ERR_USER_NO_ACTIVE                          = 403028
	ERR_USER_IS_BAN                             = 403029
	ERR_ALIPAY_SETTING                          = 403030
	ERR_ALIPAY_ORDERTYPE                        = 403031
	ERR_CLIPBOARD_UNSUP                         = 403032
	ERR_SYSUNION_CONFIG                         = 403033
	ERR_WECAHT_MINI                             = 403034
	ERR_WECAHT_MINI_CACHE                       = 403035
	ERR_WECAHT_MINI_DECODE                      = 403036
	ERR_WECHAT_MINI_ACCESSTOKEN                 = 403037
	ERR_CURRENT_VIP_LEVEL_AUDITING              = 403038
	ERR_LEVEL_RENEW_SHOULD_KEEP_CURRENT         = 403039
	ERR_LEVEL_UPGRADE_APPLY_AUDITTING           = 403040
	ERR_LEVEL_TASK_PAY_TYPE                     = 403041
	ERR_BALANCE_NOT_ENOUGH                      = 403042
	ERR_ADMIN_PUSH                              = 403043
	ERR_PLAN                                    = 403044
	ERR_MOB_CONFIG                              = 403045
	ERR_BAlANCE_PAY_ORDERTYPE                   = 403046
	ERR_PHONE_EXISTED                           = 403047
	ERR_NOT_RESULT                              = 403048
	ERR_REVIEW                                  = 403049
	ERR_USER_LEVEL_HAS_PAID                     = 403050
	ERR_USER_BIND_OWN                           = 403051
	ERR_PARENTUID_ERR                           = 403052
	ERR_USER_DEL                                = 403053
	ERR_SEARCH_ERR                              = 403054
	ERR_LEVEL_REACH_TOP                         = 403055
	ERR_USER_CHECK_ERR                          = 403056
	ERR_PASSWORD_ERR                            = 403057
	ERR_IS_BIND_PDD_ERR                         = 403058
	ERR_MOB_SMS_NO_SAME                         = 403059
	ERR_MOB_SMS_NO_EXISTS                       = 403060
	// 404
	ERR_USER_NOTFOUND         = 404001
	ERR_SUP_NOTFOUND          = 404002
	ERR_LEVEL_MAP             = 404003
	ERR_MOD_NOTFOUND          = 404004
	ERR_CLIPBOARD_PARSE       = 404005
	ERR_NOT_FAN               = 404006
	ERR_USER_LEVEL            = 404007
	ERR_LACK_PAY_CFG          = 404008
	ERR_NOT_LEVEL_TASK        = 404009
	ERR_ITEM_NOT_FOUND        = 404012
	ERR_WX_CHECKFILE_NOTFOUND = 404011

	// 429 请求频繁
	ERR_TOO_MANY_REQUESTS = 429000
	// 500 系列
	ERR                          = 500000
	ERR_UNMARSHAL                = 500001
	ERR_UNKNOWN                  = 500002
	ERR_SMS                      = 500003
	ERR_ARKID_REGISTER           = 500004
	ERR_ARKID_WHITELIST          = 500005
	ERR_ARKID_LOGIN              = 500006
	ERR_CFG                      = 500007
	ERR_DB_ORM                   = 500008
	ERR_CFG_CACHE                = 500009
	ERR_ZHIMENG_CONVERT_ERR      = 500010
	ERR_ALIPAY_ERR               = 500011
	ERR_ALIPAY_ORDER_ERR         = 500012
	ERR_PAY_ERR                  = 500013
	ERR_IS_BIND_THIRDOTHER       = 500014
	ERR_IS_BIND_THIRDOTHERWECHAT = 500015
	ERR_INIT_RABBITMQ            = 500016
)

var MsgFlags = map[int]string{
	// 200
	ERR_FILE_SAVE: "文件保存失败",
	// 400
	ERR_BAD_REQUEST:       "请求失败..",
	ERR_INVALID_ARGS:      "请求参数错误",
	ERR_API_RESPONSE:      "API错误",
	ERR_QINIUAPI_RESPONSE: "七牛请求API错误",
	ERR_URL_TURNCHAIN:     "转链失败",
	ERR_NO_DATA:           "暂无数据",
	ERR_MOBILE_NIL:        "电话号码不能为空",
	ERR_MOBILE_MATH:       "电话号码输入有误",
	ERR_FILE_MAX_SIZE:     "文件上传大小超限",
	ERR_FILE_EXT:          "文件类型不支持",
	ERR_SIGN:              "签名校验失败",
	ERR_PROVIDER_RESPONSE: "提供商接口错误",
	ERR_AES_ENCODE:        "加解密错误",
	ERR_ADMIN_API:         "后台接口请求失败",
	// 401
	ERR_NOT_AUTH:     "请登录后操作",
	ERR_SMS_AUTH:     "验证码过期或无效",
	ERR_UNAUTHORIZED: "验证用户失败",
	ERR_TOKEN_FORMAT: "Token格式不对",
	ERR_TOKEN_GEN:    "生成Token失败",
	// 403
	ERR_FORBIDEN:                                "禁止访问",
	ERR_PLATFORM:                                "平台不支持",
	ERR_MOBILE_EXIST:                            "该号码已注册过",
	ERR_USER_NO_EXIST:                           "用户没有注册或账号密码不正确",
	ERR_PASSWORD_ERR:                            "输入两次密码不一致",
	ERR_RELATE_ERR:                              "推荐人不能是自己的粉丝",
	ERR_PARENTUID_ERR:                           "推荐人不存在",
	ERR_TOKEN_AUTH:                              "登录信息失效,请重新登录",
	ERR_MOB_SMS_NO_AVA:                          "短信余额不足",
	ERR_MOB_SMS_NO_SAME:                         "验证码不一致",
	ERR_MOB_SMS_NO_EXISTS:                       "验证码已失效",
	ERR_USER_IS_REG:                             "用户已注册",
	ERR_MASTER_ID:                               "找不到对应站长的数据库",
	ERR_CASH_OUT_TIME:                           "非可提现时间段",
	ERR_CASH_OUT_USER_NOT_FOUND:                 "收款账号不存在",
	ERR_CASH_OUT_FAIL:                           "提现失败",
	ERR_CASH_OUT_FEE:                            "提现金额必须大于手续费",
	ERR_CASH_OUT_TIMES:                          "当日提现次数已达上线",
	ERR_CASH_OUT_MINI:                           "申请提现金额未达到最低金额要求",
	ERR_CASH_OUT_MUT:                            "申请提现金额未达到整数倍要求",
	ERR_CASH_OUT_NOT_DECIMAL:                    "提现申请金额只能是整数",
	ERR_CASH_OUT_NOT_DAY_AVA:                    "不在可提现日期范围内",
	ERR_USER_LEVEL_PAY_CHECK_TASK_NO_DONE:       "请先完成其他任务",
	ERR_USER_LEVEL_PAY_CHECK_NO_CROSS:           "无法跨越升级",
	ERR_USER_LEVEL_ORD_EXP:                      "付费订单已失效",
	ERR_IS_BIND_THIRDPARTY:                      "该用户已经绑定了",
	ERR_IS_BIND_THIRDOTHER:                      "该账号已经被绑定了",
	ERR_IS_BIND_THIRDOTHERWECHAT:                "该账号已经绑定了其他微信账号",
	ERR_USER_LEVEL_UPDATE_CHECK_TASK_NO_DONE:    "请完成指定任务",
	ERR_USER_LEVEL_UPDATE_CHECK_NOT_FOUND_ORDER: "没有找到对应的订单",
	ERR_USER_LEVEL_UPDATE_REPEAT:                "不允许重复升级",
	ERR_USER_NO_ACTIVE:                          "账户没激活",
	ERR_USER_IS_BAN:                             "账户已被冻结",
	ERR_SYSUNION_CONFIG:                         "联盟设置错误,请检查配置",
	ERR_WECAHT_MINI:                             "小程序响应错误,请检查小程序配置",
	ERR_WECAHT_MINI_CACHE:                       "获取小程序缓存失败",
	ERR_WECAHT_MINI_DECODE:                      "小程序解密失败",
	ERR_WECHAT_MINI_ACCESSTOKEN:                 "无法获取accesstoekn",
	ERR_CURRENT_VIP_LEVEL_AUDITING:              "当前等级正在审核中",
	ERR_LEVEL_RENEW_SHOULD_KEEP_CURRENT:         "续费只能在当前等级续费",
	ERR_LEVEL_UPGRADE_APPLY_AUDITTING:           "已有申请正在审核中，暂时不能申请",
	ERR_LEVEL_TASK_PAY_TYPE:                     "任务付费类型错误",
	ERR_BALANCE_NOT_ENOUGH:                      "余额不足",
	ERR_ADMIN_PUSH:                              "后台MOB推送错误",
	ERR_PLAN:                                    "分拥方案出错",
	ERR_MOB_CONFIG:                              "Mob 配置错误",
	ERR_BAlANCE_PAY_ORDERTYPE:                   "无效余额支付订单类型",
	ERR_PHONE_EXISTED:                           "手机号码已存在",
	ERR_NOT_RESULT:                              "已加载完毕",
	ERR_REVIEW:                                  "审核模板错误",
	ERR_USER_LEVEL_HAS_PAID:                     "该等级已经付过款",
	ERR_IS_BIND_PDD_ERR:                         "获取PDD绑定信息失败",
	// 404
	ERR_USER_NOTFOUND:         "用户不存在",
	ERR_USER_DEL:              "账号被删除,如有疑问请联系客服",
	ERR_SUP_NOTFOUND:          "上级用户不存在",
	ERR_LEVEL_MAP:             "无等级映射关系",
	ERR_MOD_NOTFOUND:          "没有找到对应模块",
	ERR_CLIPBOARD_PARSE:       "无法解析剪切板内容",
	ERR_NOT_FAN:               "没有粉丝",
	ERR_CLIPBOARD_UNSUP:       "不支持该平台",
	ERR_USER_LEVEL:            "该等级已不存在",
	ERR_LACK_PAY_CFG:          "支付配置不完整",
	ERR_NOT_LEVEL_TASK:        "等级任务查找错误",
	ERR_ITEM_NOT_FOUND:        "找不到对应商品",
	ERR_WX_CHECKFILE_NOTFOUND: "找不到微信校验文件",
	ERR_USER_BIND_OWN:         "不能填写自己的邀请码",
	// 429
	ERR_TOO_MANY_REQUESTS: "请求频繁,请稍后重试",
	// 500 内部错误
	ERR:                     "接口错误",
	ERR_SMS:                 "短信发送出错",
	ERR_CFG:                 "服务器配置错误",
	ERR_UNMARSHAL:           "JSON解码错误",
	ERR_UNKNOWN:             "未知错误",
	ERR_ARKID_LOGIN:         "登录失败",
	ERR_MOBILE_NO_EXIST:     "该用户未设定手机号",
	ERR_FORBIDEN_VALID:      "验证码错误",
	ERR_CFG_CACHE:           "获取配置缓存失败",
	ERR_DB_ORM:              "数据操作失败",
	ERR_REPEAT_RELATE:       "重复关联",
	ERR_ZHIMENG_CONVERT_ERR: "智盟转链失败",
	ERR_MOB_FORBIDEN:        "Mob调用失败",
	ERR_ALIPAY_ERR:          "支付宝参数错误",
	ERR_ALIPAY_SETTING:      "请在后台正确配置支付宝",
	ERR_ALIPAY_ORDERTYPE:    "无效支付宝订单类型",
	ERR_ALIPAY_ORDER_ERR:    "订单创建错误",
	ERR_PAY_ERR:             "未找到支付方式",
	ERR_SEARCH_ERR:          "暂无该分类商品",
	ERR_LEVEL_REACH_TOP:     "已经是最高等级",
	ERR_USER_CHECK_ERR:      "校验失败",
	ERR_INIT_RABBITMQ:       "连接mq失败",
}
