package md

// 获取用户的缓存key
const (
	KEY_SYS_CFG_CACHE             = "sys_cfg_cache"
	FunctionPermissionCfgCacheKey = "%s:function_permission_cfg"
	// 文件缓存的key
	KEY_CFG_FILE_PVD              = "file_provider" // 文件供应商
	KEY_CFG_FILE_BUCKET           = "file_bucket"
	KEY_CFG_FILE_REGION           = "file_bucket_region"
	KEY_CFG_FILE_HOST             = "file_bucket_host"
	KEY_CFG_FILE_SCHEME           = "file_bucket_scheme"
	KEY_CFG_FILE_AK               = "file_access_key"
	KEY_CFG_FILE_SK               = "file_secret_key"
	KEY_CFG_FILE_MAX_SIZE         = "file_user_upload_max_size"
	KEY_CFG_FILE_EXT              = "file_ext"
	KEY_CFG_FILE_AVATAR_THUMBNAIL = "file_avatar_thumbnail" // 默认头像缩略图参数,宽高120px,格式webp.
	// 智盟
	KEY_CFG_ZM_JD_SITE_ID = "third_zm_jd_site_id" // 智盟京东联盟id
	KEY_CFG_ZM_WEB_ID     = "third_zm_web_id"     // 智盟网站ID
	KEY_CFG_ZM_AK         = "third_zm_app_key"
	KEY_CFG_ZM_SK         = "third_zm_app_secret"
	KEY_CFG_ZM_SMS_AK     = "third_zm_sms_ak"
	KEY_CFG_ZM_SMS_SK     = "third_zm_sms_sk"
	KEY_CFG_APP_NAME      = "app_name"

	KEY_CFG_WHITELIST = "api_cfg_whitelist" // API允许的访问的设置白名单

	// 淘宝
	KEY_CFG_TB_AUTH_AK      = "third_taobao_auth_ak"
	KEY_CFG_TB_AUTH_SK      = "third_taobao_auth_sk"
	KEY_CFG_TB_INVITER_CODE = "third_taobao_auth_inviter_code"
	KEY_CFG_TB_AK           = "third_taobao_ak"
	KEY_CFG_TB_SK           = "third_taobao_sk"
	KEY_CFG_TB_PID          = "third_taobao_pid" // 淘宝推广ID,如:mm_123_456_789,123是联盟ID,456是site_id,789是adzone_id
	KEY_CFG_TB_SID          = "third_taobao_sid" // 淘宝session id ,又称access_token

	// 苏宁
	KEY_CFG_SN_AK = "third_suning_ak"
	KEY_CFG_SN_SK = "third_suning_sk"

	KEY_CFG_JD_AK = ""
	KEY_CFG_JD_SK = ""

	KEY_CFG_KL_AK = "third_kaola_ak"
	KEY_CFG_KL_SK = "third_kaola_sk"

	KEY_CFG_VIP_AK = ""
	KEY_CFG_VIP_SK = ""

	// 自动任务配置
	KEY_CFG_CRON_TB                 = "cron_order_taobao"
	KEY_CFG_CRON_TBSETTLEORDER      = "cron_order_taobao_settle_order"
	KEY_CFG_CRON_JD                 = "cron_order_jd"
	KEY_CFG_CRON_PDD                = "cron_order_pdd"
	KEY_CFG_CRON_PDD_SUCC           = "cron_order_pdd_succ"
	KEY_CFG_CRON_PDDBYCREATETIME    = "cron_order_pdd_by_create_time"
	KEY_CFG_CRON_PDDBYLOOPTIME      = "cron_order_pdd_by_loop_time"
	KEY_CFG_CRON_PDDBYLOOPMONTHTIME = "cron_order_pdd_by_loop_month_ago_time"
	KEY_CFG_CRON_JDBYCREATETIME     = "cron_order_jd_by_create_time"
	KEY_CFG_CRON_JDBYSUCCESS        = "cron_order_jd_by_success"
	KEY_CFG_CRON_JDFAILBYCREATETIME = "cron_order_jd_fail_by_create_time"
	KEY_CFG_CRON_PDDBYAGOTIME       = "cron_order_pdd_by_ago_time"
	KEY_CFG_CRON_PDDBYSTATUS        = "cron_order_pdd_by_status"
	KEY_CFG_CRON_PDDBYSTATUSSUCCESS = "cron_order_pdd_by_status_success"
	KEY_CFG_CRON_PDDBYSTATUSFAIL    = "cron_order_pdd_by_status_fail"
	KEY_CFG_CRON_JDBYSTATUS         = "cron_order_jd_by_status"
	KEY_CFG_CRON_TBBYAGOTIME        = "cron_order_tb_by_ago_time"
	KEY_CFG_CRON_TBBYPAY            = "cron_order_tb_by_pay"
	KEY_CFG_CRON_TB12               = "cron_order_tb12"
	KEY_CFG_CRON_TB13               = "cron_order_tb13"
	KEY_CFG_CRON_TB3                = "cron_order_tb3"
	KEY_CFG_CRON_TB14               = "cron_order_tb14"

	KEY_CFG_CRON_PDDREFUND                   = "cron_order_pdd_refund"
	KEY_CFG_CRON_TBREFUND                    = "cron_order_tb_refund"
	KEY_CFG_CRON_WPHREFUND                   = "cron_order_wph_refund"
	KEY_CFG_CRON_JDREFUND                    = "cron_order_jd_refund"
	KEY_CFG_CRON_SN                          = "cron_order_suning"
	KEY_CFG_CRON_VIP                         = "cron_order_vip"
	KEY_CFG_CRON_KL                          = "cron_order_kaola"
	KEY_CFG_CRON_DUOMAI                      = "cron_order_duomai"
	KEY_CFG_CRON_HIS                         = "cron_order_his"         // 迁移到历史订单
	KEY_CFG_CRON_SETTLE                      = "cron_order_settle"      //结算
	KEY_CFG_CRON_FREE_SETTLE                 = "cron_order_free_settle" //结算
	KEY_CFG_CRON_SECOND_FREE_SETTLE          = "cron_order_second_free_settle"
	KEY_CFG_CRON_THIRD_FREE_SETTLE           = "cron_order_third_free_settle"
	KEY_CFG_CRON_ACQUISTION_SETTLE           = "cron_acquistion_settle"     // 拉新结算
	KEY_CFG_CRON_NEW_ACQUISTION_SETTLE       = "cron_new_acquistion_settle" // 拉新结算
	KEY_CFG_CRON_PUBLISHER                   = "cron_taobao_publisher"      // 跟踪淘宝备案信息绑定会员运营id 针对小程序
	KEY_CFG_CRON_AUTO_UN_FREEZE              = "cron_auto_un_freeze"
	KEY_CFG_CRON_MEITUAN                     = "cron_order_meituan_fxlm"     //美团
	KEY_CFG_CRON_MEITUANLM                   = "cron_order_meituan_lm"       //美团联盟
	KEY_CFG_CRON_MEITUANLM_START             = "cron_order_meituan_lm_start" //美团联盟
	KEY_CFG_CRON_ORDER_SUCCESS_CHECK         = "cron_order_success_check"
	KEY_CFG_CRON_MEITUAN_START               = "cron_order_meituan_start" //美团联盟
	KEY_CFG_CRON_STARBUCKS                   = "cron_order_starbucks"     //海威星巴克
	KEY_CFG_CRON_HWMOVIE                     = "cron_order_hw_movie"      //海威电影票
	KEY_CFG_CRON_MCDONALD                    = "cron_order_mcdonald"      //海威麦当劳
	KEY_CFG_CRON_NAYUKI                      = "cron_order_nayuki"        //海威奈雪
	KEY_CFG_CRON_BURGERKING                  = "cron_order_burger_king"   //海威汉堡王
	KEY_CFG_CRON_HEYTEA                      = "cron_order_heytea"        //海威喜茶
	KEY_CFG_CRON_TIKTOKLIFE                  = "cron_order_tik_tok_life"  //
	KEY_CFG_CRON_FAST_REFUND                 = "cron_order_fast_refund"
	KEY_CFG_CRON_CHECK_GUIDE_STORE_ORDER     = "cron_check_guide_store_order"
	KEY_CFG_CRON_CHECK_BUCKLE_ORDER          = "cron_check_buckle_order"
	KEY_CFG_CRON_BUCKLE                      = "cron_order_buckle"
	KEY_CFG_CRON_FAST_SUCCESS                = "cron_order_fast_success"
	KEY_CFG_CRON_PIZZA                       = "cron_order_pizza"              //海威
	KEY_CFG_CRON_WALLACE                     = "cron_order_wallace"            //海威
	KEY_CFG_CRON_TOURISM                     = "cron_order_tourism"            //海威
	KEY_CFG_CRON_NEAR                        = "cron_order_near"               //海威
	KEY_CFG_CRON_FLOWERCAKE                  = "cron_order_flowerCake"         //海威
	KEY_CFG_CRON_DELIVERY                    = "cron_order_delivery"           //海威
	KEY_CFG_CRON_TO_KFC                      = "cron_order_to_kfc"             //
	KEY_CFG_CRON_PAGODA                      = "cron_order_pagoda"             //
	KEY_CFG_CRON_LUCKIN                      = "cron_order_luckin"             //
	KEY_CFG_CRON_STATIONMEITUANLM            = "cron_order_station_meituan_lm" //站长美团联盟
	KEY_CFG_CRON_MEITUANOFFICIAL             = "cron_order_meituan_official"   //美团联盟智莺
	KEY_CFG_CRON_OILSTATION                  = "cron_order_oilstation"         //加油
	KEY_CFG_CRON_BRIGHTOILSTATION            = "cron_order_bright_oilstation"  //加油
	KEY_CFG_CRON_KFC                         = "cron_order_kfc"                //肯德基
	KEY_CFG_CRON_CINEMA                      = "cron_order_cinema"             //电影票
	KEY_CFG_CRON_OilRequest                  = "cron_order_oilrequest"         //加入主动请求抓单
	KEY_CFG_CRON_AGOTB                       = "cron_order_agotaobao"          //n天前的淘宝订单
	KEY_CFG_CRON_CREDIT_CARD                 = "cron_order_credit_card"
	KEY_CFG_CRON_ORDER_STAT                  = "cron_order_stat"        // 订单统计任务
	KEY_CFG_CRON_CARD_UPDATE                 = "cron_card_update"       // 权益卡更新
	KEY_CFG_CRON_USER_LV_UP_SETTLE           = "cron_user_lv_up_settle" //会员费订单结算
	KEY_CFG_CRON_DUOYOUORD_SETTLE            = "cron_duoyou_settle"     //会员费订单结算
	KEY_CFG_CRON_LIANLIAN_SETTLE             = "cron_lianlian_settle"   //会员费订单结算
	KEY_CFG_CRON_SWIPE_SETTLE                = "cron_swipe_settle"
	KEY_CFG_CRON_AGGREGATION_RECHARGE_SETTLE = "cron_aggregation_recharge_settle"
	KEY_CFG_CRON_ACQUISITION_CONDITION       = "cron_acquisition_condition"
	KEY_CFG_CRON_ACQUISITION_CONDITION_BY_LV = "cron_acquisition_condition_by_lv"
	KEY_CFG_CRON_ACQUISITION_REWARD          = "cron_acquisition_reward"
	KEY_CFG_CRON_PLAYLET_SETTLE              = "cron_playlet_settle"
	KEY_CFG_CRON_TIKTOK_AUTH                 = "cron_tik_tok_auth"
	KEY_CFG_CRON_TASKBOX_SETTLE              = "cron_task_box_settle"               //会员费订单结算
	KEY_CFG_CRON_PRIVILEGE_CARD_SETTLE       = "cron_privilege_card_settle"         //权益卡订单结算
	KEY_CFG_CRON_CARD_RETURN                 = "cron_card_return"                   //权益卡退款
	KEY_CFG_CRON_PUBLISHER_RELATION          = "cron_taobao_publisher_relation"     //获取淘宝渠道
	KEY_CFG_CRON_PUBLISHER_RELATION_NEW      = "cron_taobao_publisher_relation_new" //获取淘宝渠道

	KEY_CFG_CRON_DTKBRAND                = "cron_dtk_brand"                      //大淘客品牌信息
	KEY_CFG_CRON_PUBLISHER_RELATION_BIND = "cron_taobao_publisher_relation_bind" //获取淘宝渠道绑定
	KEY_CFG_CRON_GOODS_SHELF             = "cron_goods_shelf"                    //商品上下架定时任务
	KEY_CFG_CRON_DIDI_ENERGY             = "cron_order_didi_energy"              //
	KEY_CFG_CRON_T3_CAR                  = "cron_order_t3_car"                   //
	KEY_CFG_CRON_DIDI_ONLINE_CAR         = "cron_order_didi_online_car"          //
	KEY_CFG_CRON_KING_FLOWER             = "cron_order_king_flower"              //
	KEY_CFG_CRON_DIDI_CHAUFFEUR          = "cron_order_didi_chauffeur"           //
	KEY_CFG_CRON_PLAYLET_ORDER           = "cron_order_playlet_order"            //
	KEY_CFG_CRON_PLAYLET_GOODS           = "cron_order_playlet_goods"            //
	KEY_CFG_CRON_CARD_CHECK_RETURN       = "cron_card_check_return"              //
	KEY_CFG_CRON_CARD_CHECK_UPDATE       = "cron_card_check_update"              //
	KEY_CFG_CRON_DIDI_FREIGHT            = "cron_order_didi_freight"             //
	KEY_CFG_CRON_TB_PUNISH_REFUND        = "cron_order_tb_punish_refund"
	KEY_CFG_CRON_TIKTOK                  = "cron_order_tikTok"
	KEY_CFG_CRON_ELM                     = "cron_order_elm"
	KEY_CFG_CRON_AUTO_ADD_TIKTOK_GOODS   = "cron_order_auto_add_tiktok_goods"
	KEY_CFG_CRON_TIKTOKOwn               = "cron_order_tikTokOwn"
	KEY_CFG_CRON_TIKTOKCsjp              = "cron_order_tikTokCsjp"
	KEY_CFG_CRON_TIKTOKCsjpLive          = "cron_order_tikTokCsjpLive"
	KEY_CFG_CRON_TIKTOKOwnCsjp           = "cron_order_tikTokOwnCsjp"
	KEY_CFG_CRON_TIKTOKOwnCsjpLive       = "cron_order_tikTokOwnCsjpLive"
	KEY_CFG_CRON_TIKTOKOwnCsjpActivity   = "cron_order_tikTokOwnCsjpActivity"
	KEY_CFG_CRON_PlayLet_Total           = "cron_playlet_total"
	KEY_CFG_CRON_TIKTOKOwnCreate         = "cron_order_tikTokOwnCreate"
	KEY_CFG_CRON_KuaishouOwn             = "cron_order_kuaishouOwn"
	KEY_CFG_CRON_KuaishouOwnCreate       = "cron_order_kuaishouOwnCreate"
	KEY_CFG_CRON_TIKTOKOwnACtivity       = "cron_order_tikTokOwnActivity"
	KEY_CFG_CRON_DUOYOUORD               = "cron_order_DouYouOrd"
	KEY_CFG_CRON_TASKBOX                 = "cron_order_TaskBox"
	KEY_CFG_CRON_TASKBOXSECOND           = "cron_order_TaskBoxSecond"
	KEY_CFG_CRON_TIKTOKOwnMixH5          = "cron_order_tikTokOwnMixH5"

	KEY_CFG_CRON_TIKTOKLIVE_UPDATE    = "cron_order_tikTokLive_update"
	KEY_CFG_CRON_KUAISHOU             = "cron_order_kuaishou"
	KEY_CFG_CRON_KUAISHOUOFFICIAL     = "cron_order_kuaishou_official"
	KEY_CFG_CRON_KUAISHOUOFFICIALLive = "cron_order_kuaishou_official_live"
	KEY_CFG_CRON_MEITUANFFICIAL       = "cron_order_meituan_official"
	KEY_CFG_CRON_TIKTOKLIVE           = "cron_order_tikTok_live"
	KEY_CFG_CRON_TIKTOKLIVEOWN        = "cron_order_tikTok_live_own"
	KEY_CFG_CRON_TIKTOKACTIVITY       = "cron_order_tikTok_activity"
	KEY_CFG_CRON_KUAISHOULIVE         = "cron_order_kuaishou_live"

	ZhimengCronPlayletVideoOrder               = "cron_playlet_video_order" //短剧订单
	ZhimengCronPlayletAdvOrder                 = "cron_playlet_adv_order"   //短剧广告订单
	ZhimengCronPlayletVideoOrderYesterDay      = "cron_playlet_video_order_yesterday"
	ZhimengCronPlayletVideoOrderMonth          = "cron_playlet_video_order_month"
	ZhimengCronPlayletAdvOrderYesterDay        = "cron_playlet_adv_order_yesterday"
	ZhimengCronPlayletAdvOrderMonth            = "cron_playlet_adv_order_month"
	ZhimengCronPlayletAdvOrderYesterDayToMoney = "cron_playlet_adv_order_yesterday_to_money"
	KEY_CFG_TIK_TOK_TEAM_ORDER_PAY             = "cron_tik_tok_team_order_pay"
	KEY_CFG_KUAISHOU_TEAM_ORDER_PAY            = "cron_kuaishou_team_order_pay"
	KEY_CFG_KUAISHOU_TEAM_ORDER_UPDATE         = "cron_kuaishou_team_order_update"
	KEY_CFG_KUAISHOU_AUTH                      = "cron_kuaishou_auth"
	KEY_CFG_VERIFY                             = "cron_verify"
	KEY_CFG_TIK_TOK_TEAM_ORDER_UPDATE          = "cron_tik_tok_team_order_update"
	KEY_CFG_TIK_TOK_TEAM_USER_BIND_BUYINID     = "cron_tik_tok_team_user_bind_buyinid"
	// 自动任务运行时设置
	KEY_CFG_CRON_TIME_PIZZA                  = "crontab_order_time_pizza"
	KEY_CFG_CRON_TIME_WALLACE                = "crontab_order_time_wallace"
	KEY_CFG_CRON_TIME_TOURISM                = "crontab_order_time_tourism"
	KEY_CFG_CRON_TIME_NEAR                   = "crontab_order_time_pizza"
	KEY_CFG_CRON_TIME_FLOWERCAKE             = "crontab_order_time_flowerCake"
	KEY_CFG_CRON_TIME_DELIVERY               = "crontab_order_time_delivery"
	KEY_CFG_CRON_TIME_TIKTOK                 = "crontab_order_time_tikTok"
	KEY_CFG_CRON_TIME_ELM                    = "crontab_order_time_elm"
	KEY_CFG_CRON_TIME_TIKTOKOwn              = "crontab_order_time_tikTokOwn"
	KEY_CFG_CRON_TIME_TIKTOKOwnCreate        = "crontab_order_time_tikTokOwnCreate"
	KEY_CFG_CRON_TIME_KuaishouOwn            = "crontab_order_time_kuaishouOwn"
	KEY_CFG_CRON_TIME_KuaishouOwnCreate      = "crontab_order_time_kuaishouOwnCreate"
	KEY_CFG_CRON_TIME_TIKTOKOwnActivity      = "KEY_CFG_CRON_TIME_TIKTOKOwnActivity"
	KEY_CFG_CRON_TIME_TIKTOKOwnMix           = "KEY_CFG_CRON_TIME_TIKTOKOwnMix"
	KEY_CFG_CRON_TIME_TIKTOKOwnLive          = "crontab_order_time_tikTokOwnLive"
	KEY_CFG_CRON_TIME_KUAISHOU               = "crontab_order_time_kuaishou"
	KEY_CFG_CRON_TIME_TIKTOKLIVE             = "crontab_order_time_tikTok_live"
	KEY_CFG_CRON_TIME_KUAISHOULIVE           = "crontab_order_time_kuaishou_live"
	KEY_CFG_CRON_TIME_TB                     = "crontab_order_time_taobao"
	KEY_CFG_CRON_TIME_CSJP                   = "crontab_order_time_csjp"
	KEY_CFG_CRON_TIME_KUAISHOU_OFFICIAL      = "crontab_order_time_kuaishou_official"
	KEY_CFG_CRON_TIME_KUAISHOU_OFFICIAL_LIVE = "crontab_order_time_kuaishou_official_live"
	KEY_CFG_CRON_TIME_MEITUAN_OFFICIAL       = "crontab_order_time_meituan_official"
	KEY_CFG_CRON_TIME_CSJP_Live              = "crontab_order_time_csjp_live"
	KEY_CFG_CRON_TIME_OWN_CSJP               = "crontab_order_time_own_csjp"
	KEY_CFG_CRON_TIME_TIKTOK_TEAM_ORDER      = "crontab_order_time_tiktok_team_order"
	KEY_CFG_CRON_TIME_OWN_CSJP_Live          = "crontab_order_time_own_csjp_live"
	KEY_CFG_CRON_TIME_OWN_CSJP_ACTIVITY      = "crontab_order_time_own_csjp_activity"
	KEY_CFG_CRON_TIME_TBREFUND               = "crontab_order_time_taobao_refund"
	KEY_CFG_CRON_TIME_TBPUNISHREFUND         = "crontab_order_time_taobao_punish_refund_new"
	KEY_CFG_CRON_TIME_JD                     = "crontab_order_time_jd"
	KEY_CFG_CRON_TIME_PDD                    = "crontab_order_time_pdd"
	KEY_CFG_CRON_TIME_TBBYCREATETIME         = "crontab_order_time_tb_by_create_time"
	KEY_CFG_CRON_TIME_TBBYPAY                = "crontab_order_time_tb_by_pay"
	KEY_CFG_CRON_TIME_TB12                   = "crontab_order_time_tb12"
	KEY_CFG_CRON_TIME_TB13                   = "crontab_order_time_tb13"
	KEY_CFG_CRON_TIME_TB14                   = "crontab_order_time_tb14"
	KEY_CFG_CRON_TIME_TB3                    = "crontab_order_time_tb3"
	KEY_CFG_CRON_TIME_TBBYSETTLE             = "crontab_order_time_tb_by_settle"
	KEY_CFG_CRON_TIME_PDDBYCREATETIME        = "crontab_order_time_pdd_by_create_time"
	KEY_CFG_CRON_TIME_JDBYCREATETIME         = "crontab_order_time_jd_by_create_time"
	KEY_CFG_CRON_TIME_JDBYSUCCESS            = "crontab_order_time_jd_by_success"
	KEY_CFG_CRON_TIME_JDFAILBYCREATETIME     = "crontab_order_time_jd_fail_by_create_time"
	KEY_CFG_CRON_TIME_PDDBYAGOTIME           = "crontab_order_time_pdd_by_ago_time"
	KEY_CFG_CRON_TIME_PDDBYSTATUSSUCCESS     = "crontab_order_time_pdd_by_status_success"
	KEY_CFG_CRON_TIME_PDDBYSTATUSFAIL        = "crontab_order_time_pdd_by_status_fail"
	KEY_CFG_CRON_TIME_PDDBYSTATUS            = "crontab_order_time_pdd_by_status"
	KEY_CFG_CRON_TIME_JDBYSTATUS             = "crontab_order_time_jd_by_status"
	KEY_CFG_CRON_TIME_SN                     = "crontab_order_time_suning"
	KEY_CFG_CRON_TIME_VIP                    = "crontab_order_time_vip"
	KEY_CFG_CRON_TIME_KL                     = "crontab_order_time_kaola"
	KEY_CFG_CRON_TIME_DUOMAI                 = "crontab_order_time_duomai"
	KEY_CFG_CRON_TIME_PUBLISHER              = "crontab_taobao_time_publisher"         // 跟踪淘宝备案信息绑定会员运营id 针对小程序
	KEY_CFG_CRON_TIME_MEITUAN                = "crontab_order_time_meituan"            //美团
	KEY_CFG_CRON_TIME_MEITUANLM              = "crontab_order_time_meituan_lm"         //美团联盟
	KEY_CFG_CRON_TIME_MEITUANLMSTART         = "crontab_order_time_meituan_lm_start"   //美团联盟
	KEY_CFG_CRON_TIME_MEITUANSTART           = "crontab_order_time_meituan_start"      //美团联盟
	KEY_CFG_CRON_TIME_STATIONMEITUANLM       = "crontab_order_time_station_meituan_lm" //美团联盟
	KEY_CFG_CRON_TIME_OILSTATION             = "crontab_order_time_oilstation"         //加油
	KEY_CFG_CRON_TIME_BRIGHT_OILSTATION      = "crontab_order_time_bright_oilstation"  //加油
	KEY_CFG_CRON_TIME_KFC                    = "crontab_order_time_kfc"                //肯德基
	KEY_CFG_CRON_TIME_CINEMA                 = "crontab_order_time_cinema"             //电影票
	KEY_CFG_CRON_TIME_STARBUCKS              = "crontab_order_time_starbucks"          //海威星巴克
	KEY_CFG_CRON_TIME_MCDONALD               = "crontab_order_time_mcdonald"           //海威麦当劳
	KEY_CFG_CRON_TIME_NAYUKI                 = "crontab_order_time_nayuki"             //海威奈雪
	KEY_CFG_CRON_TIME_BURGERKING             = "crontab_order_time_burger_king"        //海威汉堡王
	KEY_CFG_CRON_TIME_HEYTEA                 = "crontab_order_time_heytea"             //海威喜茶
	KEY_CFG_CRON_TIME_HWMOVIE                = "crontab_order_time_hw_movie"           //海威电影票
	KEY_CFG_CRON_TIME_TIKTOKLIFE             = "crontab_order_time_tik_tok_life"       //海威电影票
	KEY_CFG_CRON_TIME_PAGODA                 = "crontab_order_time_pagoda"             //
	KEY_CFG_CRON_TIME_TO_KFC                 = "crontab_order_time_to_kfc"             //
	KEY_CFG_CRON_TIME_LUCKIN                 = "crontab_order_time_luckin"             //
	KEY_CFG_CRON_TIME_DIDI_ENERGY            = "crontab_order_time_didi_energy"        //
	KEY_CFG_CRON_TIME_T3_CAR                 = "crontab_order_time_t3_car"             //
	KEY_CFG_CRON_TIME_DIDI_ONLINE_CAR        = "crontab_order_time_didi_online_car"    //
	KEY_CFG_CRON_TIME_KING_FLOWER            = "crontab_order_time_king_flower"        //
	KEY_CFG_CRON_TIME_DIDI_FREIGHT           = "crontab_order_time_didi_freight"       //
	KEY_CFG_CRON_TIME_DIDI_CHAUFFEUR         = "crontab_order_time_didi_chauffeur"     //
	KEY_CFG_CRON_USER_RELATE                 = "cron_user_relate"
)
