package md

import (
	"applet/app/db/model"
	"applet/app/lib/arkid"
)

type UserInfoResponse struct {
	Avatar           string `json:"avatar"`
	NickName         string `json:"nickname"`
	Gender           string `json:"gender"`
	Birthday         string `json:"birthday"`
	RegisterTime     string `json:"register_time"`
	FileBucketURL    string `json:"file_bucket_url"`
	FileFormat       string `json:"file_format"`
	IsNoChange       string `json:"is_no_change"`
	IsUpLoadWx       string `json:"is_upload_wx"`
	IsShowDelUserBtn string `json:"is_show_del_user_btn"`
	IsShowQq         string `json:"is_show_qq"`
	IsShowSalePhone  string `json:"is_show_sale_phone"`
	IsShowWallet     string `json:"is_show_wallet"`
	IsShowBankCard   string `json:"is_show_bank_card"`
	Qq               string `json:"qq"`
	SalePhone        string `json:"sale_phone"`
	LevelName        string `json:"level_name"`
	Phone            string `json:"phone"`
}

type User struct {
	Ark     *arkid.ArkIDUser
	Info    *model.User
	Profile *model.UserProfile
	Level   *model.UserLevel
	Tags    []string
}

type UserRelation struct {
	Uid     int
	CurUid  int
	Diff    int // 与当前用户级别差
	Level   int // 用户当前等级
	OldDiff int // 旧的级别
}
